<template>
  <div class="wrapper">
    <div class="container-fuild">
      <div id="headTitle">
        <Logo />
        <h1 id="title" _msttexthash="48503" _msthash="2">
          {{ i18ntext.lngText("patient") }}
        </h1>
      </div>
      <Header />
      <ol id="topicPath">
        <li style="margin-left: 265px">
          <router-link to="viewproduct"
            ><a href="dashbaord">
              <font style="vertical-align: inherit">
                <font style="vertical-align: inherit">{{
                  i18ntext.lngText("patient")
                }}</font>
              </font>
            </a>
          </router-link>
        </li>
      </ol>
    </div>
    <div class="search-box">
      <div id="product">
        <!--#contents -->
        <div class="search-box mb-4" id="mb-4">
          <h2 class="search-box-title" id="Bars">
            <div id="bar" style="width: 85%; gap: 0">
              <router-link to="/pos">
                <a
                  class="btn-radius btn btn-sm"
                  href="#"
                  style="color: #f8f5b4; margin-top: -2px; color: #dbdee1"
                >
                  <i class="fa fa-cog" aria-hidden="true"></i>
                  {{ i18ntext.lngText("POS") }}
                </a>
              </router-link>
              <router-link to="/patientRegister">
                <a
                  class="btn-radius btn btn-sm"
                  href="#"
                  style="
                    background-color: #29a5a5;
                    margin-top: -2px;
                    border: #22adb763 1px solid;
                  "
                >
                  <i class="fa fa-cog" aria-hidden="true"></i>
                  {{ i18ntext.lngText("patient") }}
                </a>
              </router-link>

              <router-link to="/viewall">
                <a
                  class="btn-radius btn btn-sm"
                  href="#"
                  style="color: #f8f5b4; margin-top: -2px; color: #dbdee1"
                >
                  <i class="fa fa-cog" aria-hidden="true"></i>
                  {{ i18ntext.lngText("view_all") }}
                </a>
              </router-link>
            </div>
            <div id="right">
              <a
                class="btn-radius bt-pn btn btn-sm"
                style="float: right; color: rgb(255, 191, 0) !important; margin-top: -2px"
                data-bs-toggle="modal"
                aria-expanded="false"
                data-bs-target="#alertbell"
              >
                <i class="fas fa-bell" style="font-size: 18px; margin-right: 5px"></i>
                {{ labo }}
              </a>
              <a
                class="btn-radius bt-pn btn btn-sm"
                data-bs-toggle="dropdown"
                aria-expanded="false"
                style="float: right; color: #f8f5b4; margin-top: -2px"
              >
                <i class="fas fa-plus" style="padding-right: 5px"> </i>
                {{ i18ntext.lngText("menu") }}
              </a>
              <ul class="dropdown-menu">
                <li>
                  <a
                    class="dropdown-item btn btn-primary"
                    data-bs-toggle="modal"
                    data-bs-target="#staticboomId"
                    tabindex="10028"
                    ><i class="fa fa-print" aria-hidden="true"></i>
                    {{ i18ntext.lngText("print") }}</a
                  >
                </li>
              </ul>
            </div>
          </h2>
          <input autocomplete="off" id="search" name="search" type="hidden" value="1" />

          <div class="search-box-content">
            <table
              width="100%"
              border="0"
              cellpadding="0"
              cellspacing="0"
              class="tbl_form"
            >
              <tbody>
                <tr>
                  <th style="color: #f8f5b4">{{ i18ntext.lngText("patientid") }}</th>
                  <td colspan="3">
                    <span style="color: red">*</span>
                    <input autocomplete="off"
                      class="string_zen clear_text text"
                      id="search_word_simei_s"
                      type="text"
                      v-model="form.pateinid"
                      @input="searchPatient()"
                      style="width: 15%"
                    />
                  </td>
                </tr>
                <tr>
                  <th style="color: #f8f5b4">{{ i18ntext.lngText("name") }}</th>
                  <td colspan="3">
                    <div class="field-required">
                      <div class="item-required">
                        {{ i18ntext.lngText("firstname") }}
                        <span style="color: red">*</span>
                        <input autocomplete="off"
                          class="string_zen clear_text text"
                          id="search_word_simei_s"
                          type="text"
                          v-model="form.firstname"
                          @input="searchPatient()"
                          style="width: 15%"
                        />
                        <p
                          v-if="is_fname_required == true"
                          class="error-alert text-center"
                        >
                          {{ i18ntext.lngText("field_require") }}
                        </p>
                      </div>
                      <div class="item-required">
                        {{ i18ntext.lngText("lastname") }}
                        <span style="color: red">*</span>
                        <input autocomplete="off"
                          class="string_zen clear_text text"
                          id="search_word_simei_s"
                          type="text"
                          tabindex="10017"
                          v-model="form.lstname"
                          @input="searchPatient()"
                          style="width: 15%"
                        />
                        <p
                          v-if="is_lname_required == true"
                          class="error-alert text-center"
                        >
                          {{ i18ntext.lngText("field_require") }}
                        </p>
                      </div>
                    </div>
                  </td>
                </tr>
                <tr>
                  <th style="color: #f8f5b4">
                    {{ i18ntext.lngText("age") }}/{{ i18ntext.lngText("birth") }}
                  </th>
                  <td colspan="3">
                    {{ i18ntext.lngText("age") }}
                    <input autocomplete="off"
                      style="width: 8%"
                      class="string_zen clear_text text"
                      id="search_word_jigyosyo_group_name"
                      maxlength="50"
                      name="search_word[jigyosyo_group_name]"
                      type="number"
                      tabindex="10014"
                      v-model="form.age"
                      @change="getage(form.age)"
                    />
                    {{ i18ntext.lngText("birth") }}
                    <input autocomplete="off"
                      style="width: 15%"
                      class="string_zen clear_text text"
                      id="search_word_jigyosyo_group_name"
                      name="search_word[jigyosyo_group_name]"
                      type="date"
                      tabindex="10014"
                      v-model="form.birstdate"
                    />
                  </td>
                </tr>
                <tr>
                  <th width="3%" style="color: #f8f5b4">{{ i18ntext.lngText("sex") }}</th>
                  <td width="32%">
                    <div class="gender">
                      <div
                        class="radio"
                        id="uniform-search_word_sizai_send_kbn_0"
                        @click="getsex('male')"
                      >
                        <span class="checked"
                          ><input autocomplete="off"
                            v-model="form.sex"
                            checked="checked"
                            id="search_word_sizai_send_kbn_0"
                            name="search_word[sizai_send_kbn]"
                            type="radio"
                            value="0"
                            tabindex="10000"
                            style="opacity: 0"
                        /></span>
                      </div>
                      <label for="search_word_sizai_send_kbn_0">
                        <font style="vertical-align: inherit">
                          <font style="vertical-align: inherit; margin-left: 6px">{{
                            i18ntext.lngText("male")
                          }}</font>
                        </font>
                      </label>
                      <div
                        class="radio"
                        id="uniform-search_word_sizai_send_kbn_0"
                        @click="getsex('female')"
                      >
                        <span class=""
                          ><input autocomplete="off"
                            v-model="form.sex"
                            checked="checked"
                            id="search_word_sizai_send_kbn_0"
                            name="search_word[sizai_send_kbn]"
                            type="radio"
                            value="0"
                            tabindex="10000"
                            style="opacity: 0"
                        /></span>
                      </div>
                      <label for="search_word_sizai_send_kbn_0">
                        <font style="vertical-align: inherit">
                          <font style="vertical-align: inherit; margin-left: 6px">{{
                            i18ntext.lngText("female")
                          }}</font>
                        </font>
                      </label>
                      <div
                        class="radio"
                        id="uniform-search_word_sizai_send_kbn_0"
                        @click="getsex('other')"
                      >
                        <span class=""
                          ><input autocomplete="off"
                            v-model="form.sex"
                            checked="checked"
                            id="search_word_sizai_send_kbn_0"
                            name="search_word[sizai_send_kbn]"
                            type="radio"
                            value="0"
                            tabindex="10000"
                            style="opacity: 0"
                        /></span>
                      </div>
                      <label for="search_word_sizai_send_kbn_0">
                        <font style="vertical-align: inherit">
                          <font style="vertical-align: inherit; margin-left: 6px">{{
                            i18ntext.lngText("other")
                          }}</font>
                        </font>
                      </label>
                    </div>
                  </td>
                </tr>
                <tr>
                  <th width="3%" style="color: #f8f5b4">
                    {{ i18ntext.lngText("situation") }}
                  </th>
                  <td width="32%">
                    <div class="gender situation">
                      <div
                        class="radio radio-1"
                        id="uniform-search_word_sizai_send_kbn_0"
                        @click="getsex('single')"
                      >
                        <span class="checked"
                          ><input autocomplete="off"
                            v-model="form.status"
                            checked="checked"
                            id="search_word_sizai_send_kbn_0"
                            name="search_word[sizai_send_kbn]"
                            type="radio"
                            value="0"
                            tabindex="10000"
                            style="opacity: 0"
                        /></span>
                      </div>
                      <label for="search_word_sizai_send_kbn_0">
                        <font style="vertical-align: inherit">
                          <font style="vertical-align: inherit; margin-left: 6px">{{
                            i18ntext.lngText("single")
                          }}</font>
                        </font>
                      </label>
                      <div
                        class="radio radio-1"
                        id="uniform-search_word_sizai_send_kbn_0"
                        @click="getsex('married')"
                      >
                        <span class=""
                          ><input autocomplete="off"
                            v-model="form.status"
                            checked="checked"
                            id="search_word_sizai_send_kbn_0"
                            name="search_word[sizai_send_kbn]"
                            type="radio"
                            value="0"
                            tabindex="10000"
                            style="opacity: 0"
                        /></span>
                      </div>
                      <label for="search_word_sizai_send_kbn_0">
                        <font style="vertical-align: inherit">
                          <font style="vertical-align: inherit; margin-left: 6px">{{
                            i18ntext.lngText("married")
                          }}</font>
                        </font>
                      </label>
                    </div>
                  </td>
                </tr>
                <tr>
                  <th style="color: #f8f5b4">{{ i18ntext.lngText("phonenumber") }}</th>
                  <td colspan="3">
                    {{ i18ntext.lngText("phonenumber") }}
                    <input autocomplete="off"
                      class="string_zen clear_text text"
                      id="search_word_simei_s"
                      maxlength="50"
                      name="search_word[simei_s]"
                      type="text"
                      tabindex="10017"
                      v-model="form.phone1"
                      style="width: 8%"
                    />
                    {{ i18ntext.lngText("homenumber") }}
                    <input autocomplete="off"
                      class="string_zen clear_text text"
                      id="search_word_simei_s"
                      maxlength="50"
                      name="search_word[simei_s]"
                      type="text"
                      tabindex="10017"
                      v-model="form.phone2"
                      style="width: 8%"
                    />
                  </td>
                </tr>
                <tr>
                  <th style="color: #f8f5b4">{{ i18ntext.lngText("email") }}</th>
                  <td colspan="3">
                    <input autocomplete="off"
                      class="string_zen clear_text text"
                      id="search_word_simei_s"
                      maxlength="50"
                      name="search_word[simei_s]"
                      type="text"
                      tabindex="10017"
                      v-model="form.email"
                      style="width: 20%"
                    />
                  </td>
                </tr>
                <tr>
                  <th style="color: #f8f5b4">{{ i18ntext.lngText("address") }}</th>
                  <td colspan="3">
                    {{ i18ntext.lngText("village") }}
                    <input autocomplete="off"
                      class="string_zen clear_text text"
                      id="search_word_simei_s"
                      maxlength="50"
                      name="search_word[simei_s]"
                      type="text"
                      tabindex="10017"
                      v-model="form.village"
                      style="width: 8%"
                    />
                    {{ i18ntext.lngText("commune") }}
                    <input autocomplete="off"
                      class="string_zen clear_text text"
                      id="search_word_simei_s"
                      maxlength="50"
                      name="search_word[simei_s]"
                      type="text"
                      tabindex="10017"
                      v-model="form.commune"
                      style="width: 8%"
                    />
                    {{ i18ntext.lngText("district") }}
                    <input autocomplete="off"
                      class="string_zen clear_text text"
                      id="search_word_simei_s"
                      maxlength="50"
                      name="search_word[simei_s]"
                      type="text"
                      tabindex="10017"
                      v-model="form.district"
                      style="width: 8%"
                    />
                    {{ i18ntext.lngText("city") }}
                    <input autocomplete="off"
                      class="string_zen clear_text text"
                      id="search_word_simei_s"
                      maxlength="50"
                      name="search_word[simei_s]"
                      type="text"
                      tabindex="10017"
                      v-model="form.pro_city"
                      style="width: 8%"
                    />
                    {{ i18ntext.lngText("region") }}
                    <input autocomplete="off"
                      class="string_zen clear_text text"
                      id="search_word_simei_s"
                      maxlength="50"
                      name="search_word[simei_s]"
                      type="text"
                      tabindex="10017"
                      v-model="form.region"
                      style="width: 8%"
                    />
                    <br />
                    <br />
                    <textarea
                      class="string_zen clear_text text"
                      id="search_word_simei_s"
                      cols="1"
                      rows="1"
                      name="search_word[simei_s]"
                      type="text"
                      tabindex="10017"
                      v-model="form.address"
                      style="width: 35%; outline: none; color: #777"
                    >
                    </textarea>
                  </td>
                </tr>
                <tr>
                  <th style="color: #f8f5b4">{{ i18ntext.lngText("allergies") }}</th>
                  <td colspan="3">
                    <textarea
                      cols="1"
                      rows="1"
                      class="string_zen clear_text text"
                      id="search_word_simei_s"
                      name="search_word[simei_s]"
                      type="text"
                      tabindex="10017"
                      v-model="form.allergies"
                      style="width: 35%; outline: none; color: #777"
                    ></textarea>
                  </td>
                </tr>
                <tr>
                  <th style="color: #f8f5b4">
                    {{ i18ntext.lngText("history_disease") }}
                  </th>
                  <td colspan="3">
                    <textarea
                      cols="1"
                      rows="1"
                      class="string_zen clear_text text"
                      id="search_word_simei_s"
                      name="search_word[simei_s]"
                      type="text"
                      tabindex="10017"
                      v-model="form.history_disease"
                      style="width: 35%; outline: none; color: #777"
                    >
                    </textarea>
                  </td>
                </tr>
              </tbody>
            </table>
            <div class="search-box-footer">
              <div
                v-if="btnback == true"
                @click="btnBack()"
                class="button type2"
                id="uniform-undefined"
              >
                <span tabindex="10028"
                  ><input autocomplete="off"
                    type="button"
                    value="display"
                    class="type2"
                    style="opacity: 0; width: 54px"
                    tabindex="10025"
                  /><i
                    class="fa fa-arrow-left"
                    aria-hidden="true"
                    style="margin-right: 7px"
                  ></i
                  >{{ i18ntext.lngText("back") }}
                </span>
              </div>
              <div
                v-if="btncheckdelete == 'Delete'"
                class="button type2"
                id="uniform-undefined"
                data-bs-toggle="modal"
                data-bs-target="#comfirmdelete"
              >
                <span
                  ><input autocomplete="off"
                    type="button"
                    value="display"
                    class="type2"
                    style="opacity: 0; width: 54px"
                    tabindex="10025"
                  /><i class="fa fa-trash" aria-hidden="true"></i>
                  {{ i18ntext.lngText("Delete") }}
                </span>
              </div>
              <div
                v-else
                class="button type2"
                id="uniform-undefined"
                @click="searchPatient()"
              >
                <span
                  ><input autocomplete="off"
                    type="button"
                    value="display"
                    class="type2"
                    style="opacity: 0; width: 54px"
                    tabindex="10025"
                  /><i class="fa fa-search" aria-hidden="true"></i>
                  {{ i18ntext.lngText("search") }}
                </span>
              </div>
              <div
                class="button type2"
                id="uniform-undefined"
                data-bs-toggle="modal"
                data-bs-target="#clearconfirm"
              >
                <span v-if="btncheckEdit === 'Save'" tabindex="10028"
                  ><input autocomplete="off"
                    type="button"
                    value="display"
                    class="type2"
                    style="opacity: 0; width: 54px"
                    tabindex="10025"
                  /><i class="fas fa-file-import" style="margin-right: 7px"></i>
                  {{ i18ntext.lngText("save") }}
                </span>

                <span v-else tabindex="10028"
                  ><input autocomplete="off"
                    type="button"
                    value="display"
                    class="type2"
                    style="opacity: 0; width: 54px"
                    tabindex="10025"
                  /><i class="fas fa-file-import" style="margin-right: 7px"></i>

                  {{ i18ntext.lngText("update") }}
                </span>
              </div>
              <span class="marker"></span>
            </div>
          </div>
        </div>
        <div class="box">
          <div class="box-footer-pagination">
            <pagination
              :limit="2"
              :data="register"
              @pagination-change-page="getRegister"
            />
          </div>
          <div class="box-content">
            <table
              width="100%"
              border="0"
              cellpadding="0"
              cellspacing="0"
              class="table table-striped br-table"
            >
              <thead>
                <tr class="header-table">
                  <th width="6%">{{ i18ntext.lngText("patientid") }}</th>
                  <th width="12%">{{ i18ntext.lngText("name") }}</th>
                  <th width="6%">{{ i18ntext.lngText("sex") }}</th>
                  <th width="1%">{{ i18ntext.lngText("age") }}</th>
                  <th width="7%">{{ i18ntext.lngText("birth") }}</th>
                  <th width="8%">{{ i18ntext.lngText("phonenumber") }}</th>
                  <th width="15%">{{ i18ntext.lngText("address") }}</th>
                  <th width="10%">{{ i18ntext.lngText("email") }}</th>
                  <th width="8%">{{ i18ntext.lngText("allergies") }}</th>
                  <th width="8%">{{ i18ntext.lngText("history_disease") }}</th>
                  <th width="14%">{{ i18ntext.lngText("action") }}</th>
                </tr>
              </thead>
              <tbody>
                <tr v-for="(reg, index) in register.data" :key="index">
                  <td>{{ reg.pateinid }}</td>
                  <td>{{ reg.firstname }} {{ reg.lstname }}</td>
                  <td>{{ reg.sex }}</td>
                  <td>{{ reg.age }}</td>
                  <td v-if="reg.birstdate != null">
                    {{ formatdatetime(reg.birstdate) }}
                  </td>
                  <td v-else>{{ reg.birstdate }}</td>
                  <td>{{ reg.phone1 }}</td>
                  <td
                    v-if="
                      convertString(
                        reg.address,
                        reg.village,
                        reg.commune,
                        reg.district,
                        reg.pro_city
                      ).length > 20
                    "
                    data-bs-toggle="modal"
                    data-bs-target="#viewdetail"
                    @click="
                      viewAddress(
                        reg.address,
                        reg.village,
                        reg.commune,
                        reg.district,
                        reg.pro_city,
                        'Address'
                      )
                    "
                  >
                    {{
                      convertString(
                        reg.address,
                        reg.village,
                        reg.commune,
                        reg.district,
                        reg.pro_city
                      )
                    }}
                  </td>
                  <td v-else>
                    {{
                      convertString(
                        reg.address,
                        reg.village,
                        reg.commune,
                        reg.district,
                        reg.pro_city
                      )
                    }}
                  </td>
                  <td>{{ reg.email }}</td>
                  <td
                    v-if="reg.allergies != null && reg.allergies.length > 10"
                    @click="view_description(reg.allergies, 'Allergies')"
                    data-bs-toggle="modal"
                    data-bs-target="#viewdetail"
                  >
                    {{
                      reg.allergies.length < 10
                        ? reg.allergies
                        : `${reg.allergies.slice(0, 10)}...`
                    }}
                  </td>
                  <td v-else>{{ reg.allergies }}</td>
                  <td
                    v-if="reg.history_disease != null && reg.history_disease.length"
                    @click="view_description(reg.history_disease, 'History Disease')"
                    data-bs-toggle="modal"
                    data-bs-target="#viewdetail"
                  >
                    {{
                      reg.history_disease.length < 10
                        ? reg.history_disease
                        : `${reg.history_disease.slice(0, 10)}...`
                    }}
                  </td>
                  <td v-else>{{ reg.history_disease }}</td>

                  <td
                    v-if="index % 2 == 0"
                    style="border: medium none; text-align: center"
                  >
                    <div
                      style="
                        display: flex;
                        flex-direction: row;
                        justify-content: space-around;
                        align-items: center;
                      "
                    >
                      <div @click="btn_checkEdit(reg)" class="button type2">
                        <span
                          ><input autocomplete="off"
                            type="button"
                            value="display"
                            class="type2"
                            style="opacity: 0; width: 54px"
                            tabindex="10025"
                          /><i class="fa fa-edit"></i
                          >{{ i18ntext.lngText("select") }}</span
                        >
                      </div>
                      <div
                        class="button type2"
                        id="uniform-undefined"
                        data-bs-toggle="modal"
                        data-bs-target="#Create"
                        @click="btn_checkEdit(reg)"
                      >
                        <span
                          ><i class="fa fa-plus-square" aria-hidden="true"></i
                          >{{ i18ntext.lngText("newvisit") }}
                          <input autocomplete="off"
                            type="button"
                            value="clear"
                            class="type2"
                            style="opacity: 0; width: 63px"
                            tabindex="10026"
                        /></span>
                      </div>
                    </div>
                  </td>
                  <td v-else style="border: medium none; text-align: center">
                    <div
                      style="
                        display: flex;
                        flex-direction: row;
                        justify-content: space-around;
                        align-items: center;
                      "
                    >
                      <div @click="btn_checkEdit(reg)" class="button type2">
                        <span
                          ><input autocomplete="off"
                            type="button"
                            value="display"
                            class="type2"
                            style="opacity: 0; width: 54px"
                            tabindex="10025"
                          /><i class="fa fa-edit"></i
                          >{{ i18ntext.lngText("select") }}</span
                        >
                      </div>
                      <div
                        class="button type2"
                        id="uniform-undefined"
                        to="product"
                        data-bs-toggle="modal"
                        data-bs-target="#Create"
                        @click="btn_checkEdit(reg)"
                      >
                        <span
                          ><i class="fa fa-plus-square" aria-hidden="true"></i
                          >{{ i18ntext.lngText("newvisit") }}
                          <input autocomplete="off"
                            type="button"
                            value="clear"
                            class="type2"
                            style="opacity: 0; width: 63px"
                            tabindex="10026"
                        /></span>
                      </div>
                    </div>
                  </td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- confirm model  -->
  <div
    class="modal fade ui-modal"
    id="clearconfirm"
    data-bs-backdrop="static"
    data-bs-keyboard="false"
    tabindex="-1"
    aria-labelledby="clearconfirmlabel"
    aria-hidden="true"
  >
    <div class="modal-dialog smallpopup" id="nonbackgroundboom">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title" id="exampleModalLabel">
            <span class="ui-dialog-title" id="ui-dialog-title-modal-edit-dialog">{{
              i18ntext.lngText("confirm_message")
            }}</span>
          </h5>
          <span
            class="ui-icon ui-icon-closethick btn-cancel"
            data-bs-dismiss="modal"
            aria-label="Close"
          ></span>
        </div>
        <div class="ui-dialog-content" style="background-color: #fff">
          <div class="modal-body">{{ i18ntext.lngText("continue_message") }}</div>
          <div class="modal-footer">
            <div
              class="button type2"
              id="uniform-undefined"
              data-bs-dismiss="modal"
              @click="cancel()"
            >
              <span
                >{{ i18ntext.lngText("No")
                }}<input autocomplete="off"
                  type="button"
                  class="type2"
                  onclick="edit_cancel()"
                  tabindex="10008"
                  value="No"
                  style="width: 89px; opacity: 0"
                />
              </span>
            </div>
            <div class="button type2" data-bs-dismiss="modal" @click="btnsave()">
              <span>{{ i18ntext.lngText("yes") }}</span>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- end confirm modl -->
  <!-- comfirm delete model  -->
  <div
    class="modal fade ui-modal"
    id="comfirmdelete"
    data-bs-backdrop="static"
    data-bs-keyboard="false"
    tabindex="-1"
    aria-labelledby="clearconfirmlabel"
    aria-hidden="true"
  >
    <div class="modal-dialog smallpopup" id="nonbackgroundboom">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title" id="exampleModalLabel">
            <span class="ui-dialog-title" id="ui-dialog-title-modal-edit-dialog">
              {{ i18ntext.lngText("confirm_message") }}</span
            >
          </h5>
          <span
            class="ui-icon ui-icon-closethick btn-cancel"
            data-bs-dismiss="modal"
            aria-label="Close"
          ></span>
        </div>
        <div class="ui-dialog-content" style="background-color: #fff">
          <div class="modal-body">{{ i18ntext.lngText("delete_message") }}</div>
          <div class="modal-footer">
            <div
              class="button type2"
              id="uniform-undefined"
              data-bs-dismiss="modal"
              @click="cancel()"
            >
              <span>
                {{ i18ntext.lngText("No")
                }}<input autocomplete="off"
                  type="button"
                  class="type2"
                  onclick="edit_cancel()"
                  tabindex="10008"
                  value="No"
                  style="width: 89px; opacity: 0"
                />
              </span>
            </div>
            <div
              class="button type2"
              data-bs-dismiss="modal"
              @click="deleteRegister(selectid)"
            >
              <span> {{ i18ntext.lngText("yes") }}</span>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- end comfirm delete model  -->
  <!-- create model  -->
  <div
    class="modal fade ui-modal"
    id="Create"
    data-bs-backdrop="static"
    data-bs-keyboard="false"
    tabindex="-1"
    aria-labelledby="clearconfirmlabel"
    aria-hidden="true"
  >
    <div class="modal-dialog smallpopup" id="nonbackgroundboom">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title" id="exampleModalLabel">
            <span class="ui-dialog-title" id="ui-dialog-title-modal-edit-dialog">
              {{ i18ntext.lngText("confirm_message") }}</span
            >
          </h5>
          <span
            class="ui-icon ui-icon-closethick btn-cancel"
            data-bs-dismiss="modal"
            aria-label="Close"
          ></span>
        </div>
        <div class="ui-dialog-content" style="background-color: #fff">
          <div class="modal-body">{{ i18ntext.lngText("continue_message") }}</div>
          <div class="modal-footer">
            <div class="button type2" data-bs-dismiss="modal" @click="createvisit()">
              <span> {{ i18ntext.lngText("to") }} {{ i18ntext.lngText("labo") }}</span>
            </div>
            <div class="button type2" id="uniform-undefined" data-bs-dismiss="modal">
              <span>
                {{ i18ntext.lngText("to") }} {{ i18ntext.lngText("prescription")
                }}<input autocomplete="off"
                  type="button"
                  class="type2"
                  @click="toPrescription()"
                  style="width: 89px; opacity: 0"
                />
              </span>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- ============View detail============ -->
  <div
    class="modal fade ui-modal"
    id="viewdetail"
    data-bs-backdrop="static"
    data-bs-keyboard="false"
    tabindex="-1"
    aria-labelledby="clearconfirmlabel"
    aria-hidden="true"
  >
    <div class="modal-dialog smallpopup" id="nonbackgroundboom">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <p>{{ title }}</p>
          <span
            class="ui-icon ui-icon-closethick btn-cancel"
            data-bs-dismiss="modal"
            aria-label="Close"
          ></span>
        </div>
        <div class="ui-dialog-content" style="background-color: #fff">
          <div class="modal-body">{{ view_detail }}</div>
          <div class="modal-footer" style="height: 40px"></div>
        </div>
      </div>
    </div>
  </div>

  <!-- end create model  -->
  <!-- Bell alert -->
  <div
    class="modal fade ui-modal"
    id="alertbell"
    data-bs-backdrop="static"
    data-bs-keyboard="false"
    tabindex="-1"
    aria-labelledby="staticboomId"
    aria-hidden="true"
  >
    <div class="modal-dialog" id="recept">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title in-header" id="staticBackdropLabel">
            <i class="fa fa-print" aria-hidden="true"></i> {{ i18ntext.lngText("view") }}
          </h5>
          <span
            class="ui-icon ui-icon-closethick"
            data-bs-dismiss="modal"
            aria-label="Close"
          ></span>
        </div>
        <div class="ui-dialog-content" id="purchaseorder">
          <div class="card" style="margin-bottom: 0 !important">
            <div class="card-body">
              <div class="mt-3">
                <div style="padding: 0">
                  <div class="my-2 justify-content-center">
                    <table class="table table-striped br-table">
                      <thead>
                        <tr class="header-table">
                          <th class="text-center" width="12%">
                            {{ i18ntext.lngText("patientid") }}
                          </th>
                          <th class="text-center">
                            {{ i18ntext.lngText("patient_name") }}
                          </th>
                          <th class="text-center">{{ i18ntext.lngText("sex") }}</th>
                          <th class="text-center">
                            {{ i18ntext.lngText("phonenumber") }}
                          </th>
                          <th class="text-center">{{ i18ntext.lngText("birth") }}</th>
                          <th class="text-center">{{ i18ntext.lngText("visitdate") }}</th>
                          <th></th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr v-for="(reg, index) in view" :key="index">
                          <td>{{ reg.pateinid }}</td>
                          <td>{{ reg.firstname }} {{ reg.lstname }}</td>
                          <td>{{ reg.sex }}</td>
                          <td>{{ reg.phone1 }}</td>
                          <td v-if="reg.birstdate != null">
                            {{ formatdatetime(reg.birstdate) }}
                          </td>
                          <td v-else>{{ reg.birstdate }}</td>
                          <td>{{ formatdatetime(reg.visit_date) }}</td>
                          <td class="text-center">
                            <div
                              class="button"
                              id="uniform-undefined"
                              @click="more(reg.preid)"
                              data-bs-dismiss="modal"
                              aria-label="Close"
                            >
                              <span
                                ><i class="fa fa-plus"></i> {{ i18ntext.lngText("select")
                                }}<input autocomplete="off"
                                  type="button"
                                  tabindex="10028"
                                  style="opacity: 0; width: 70px"
                              /></span>
                            </div>
                          </td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  <hr />
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <div class="button type2" id="uniform-undefined">
            <span>{{ i18ntext.lngText("close") }}</span>
            <input autocomplete="off"
              type="button"
              value="clear"
              class="type2"
              data-bs-dismiss="modal"
              aria-label="Close"
              style="opacity: 0; width: 63px"
              tabindex="10026"
            />
          </div>
        </div>
      </div>
    </div>
  </div>

  <div id="myModalauto" class="lsky">
    <div class="lsky-content">
      <p>{{ massege }}</p>
    </div>
  </div>
  <div
    class="modal fade ui-modal"
    id="staticboomId"
    data-bs-backdrop="static"
    data-bs-keyboard="false"
    tabindex="-1"
    aria-labelledby="staticboomId"
    aria-hidden="true"
  >
    <div class="modal-dialog" style="max-width: 85% !important">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title in-header" id="staticBackdropLabel">
            <i class="fa fa-print" aria-hidden="true"></i> {{ i18ntext.lngText("print") }}
          </h5>
          <span
            class="ui-icon ui-icon-closethick"
            data-bs-dismiss="modal"
            aria-label="Close"
          ></span>
        </div>
        <div class="ui-dialog-content">
          <div class="card">
            <div class="card-body">
              <div class="mt-3 print-size">
                <div style="padding: 0 50px 0 50px" id="printProduct">
                  <div class="col-md-12">
                    <div class="text-center">
                      <h3 class="title-purchase">
                        {{ i18ntext.lngText("report") }} {{ i18ntext.lngText("patient") }}
                      </h3>
                    </div>
                  </div>
                  <div class="col-container">
                    <div class="col1" style="width: 55%">
                      <p class="p-bg font-size p-pad">
                        {{ i18ntext.lngText("company") }}
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{ i18ntext.lngText("name") }} :</span>
                        <span id="fon">{{ company.company_name }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{ i18ntext.lngText("phonenumber") }} :</span>
                        <span id="fon">{{ company.company_Phone }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{ i18ntext.lngText("email") }} :</span>
                        <span id="fon">{{ company.company_Email }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{ i18ntext.lngText("address") }} :</span>
                        <span id="fon">{{ company.company_Address }}</span>
                      </p>
                    </div>
                    <div class="col2">
                      <p class="text-center p-bg font-size p-pad">
                        {{ i18ntext.lngText("date") }}
                      </p>
                      <p class="text-center p-mg" id="fon">{{ dateformart }}</p>
                      <p class="text-center p-bg font-size p-pad">
                        {{ i18ntext.lngText("total") }} {{ i18ntext.lngText("patient") }}
                      </p>
                      <p class="text-center p-mg" id="fon">{{ register.total }}</p>
                    </div>
                  </div>
                  <div class="my-2 justify-content-center">
                    <table id="pr-tb">
                      <thead>
                        <tr class="p-bg">
                          <th class="text-center">{{ i18ntext.lngText("name") }}</th>
                          <th class="text-center">
                            {{ i18ntext.lngText("age") }}/{{ i18ntext.lngText("birth") }}
                          </th>
                          <th class="text-center">{{ i18ntext.lngText("gender") }}</th>
                          <th class="text-center">
                            {{ i18ntext.lngText("phonenumber") }}
                          </th>
                          <th class="text-center">
                            {{ i18ntext.lngText("phonenumber") }}2
                          </th>
                          <th class="text-center">{{ i18ntext.lngText("address") }}</th>
                          <th class="text-center">{{ i18ntext.lngText("email") }}</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr v-for="(reg, index) in printData" :key="index">
                          <td style="padding-right: 5px; width: 4em">
                            {{ reg.firstname }} {{ reg.lstname }}
                          </td>
                          <td v-if="reg.birstdate != null" style="width: 6em">
                            {{ formatdatetime(reg.birstdate) }}
                          </td>
                          <td v-else style="width: 6em">{{ reg.birstdate }}</td>
                          <td style="width: 6em">{{ reg.sex }}</td>
                          <td style="width: 6em">{{ reg.phone1 }}</td>
                          <td style="width: 6em">{{ reg.phone2 }}</td>
                          <td style="width: 4em">
                            {{ reg.address }} {{ reg.village }} {{ reg.commune }}
                            {{ reg.district }} {{ reg.pro_city }}
                          </td>
                          <td style="width: 6em">{{ reg.email }}</td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  <hr />
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <a
            v-print="'#printProduct'"
            class="btn-purchase btn-light text-capitalize border-0"
            data-mdb-ripple-color="dark"
            ><i class="fas fa-print text-primary"></i> {{ i18ntext.lngText("print") }}</a
          >
        </div>
      </div>
    </div>
  </div>
  <Footer />
  <UserInfo />
</template>

<script>
import Logo from "../logo.vue";
import Header from "../Header.vue";
import readXlsxFile from "read-excel-file";
import * as XLSX from "xlsx/xlsx.mjs";
import pagination from "laravel-vue-pagination";
import moment from "moment";
import Footer from "../footer.vue";
import i18n from "../../i18n/i18n";
import UserInfo from "../UserInfo.vue";
import axios from "axios";
import Auth from "../../auth/Auth.js";
import { MultiSelect } from "vue-search-select";
import print from "vue3-print-nb";
import { ref, reactive, watch, computed, onMounted } from "vue";
const btnValue1 = ref(false);
const btnValue2 = ref(false);
const disabled = ref(true);
export default {
  components: { Header, pagination, MultiSelect, Footer, Logo, UserInfo },
  directives: {
    print,
  },
  data() {
    return {
      i18ntext: i18n,
      options: [],
      labo: 0,
      loggedUser: {
        id: "",
        user_code: "",
        user_name: "",
        email: "",
        role: "",
        statue: "",
      },
      date: {
        age: "",
        day: "",
        month: "",
        year: "",
      },
      selectid: "",
      photo_path: "",
      baseURL: "",
      btncheckEdit: "Save",
      btncheckdelete: "Search",

      register: [],

      view_detail: "",
      title: "",

      group_product: "",
      unit: "",
      single_category: "",
      dateformart: "",
      company: [],
      stockcount: 0,
      btnback: false,
      form: {
        id: "",
        pateinid: "",
        lstname: "",
        firstname: "",
        age: "",
        birstdate: null,
        sex: "Male",
        allergies: "",
        history_disease: "",
        phone1: "",
        phone2: "",
        email: "",
        type: "",
        address: "",
        village: "",
        commune: "",
        district: "",
        pro_city: "",
        region: "",
        remark: "",
        status: "Single",
        created_by: Auth.user.id,
      },
      view: [],
      is_fname_required: false,
      is_lname_required: false,
      number_page: 1,
      printData: [],
    };
  },
  mounted() {
    if (Auth.check()) {
      if (!Auth.checkPermission("PATIENT_ALL")) {
        this.$router.push("/dashboard");
      }
    }
    this.loggedUser = Auth.user;
    this.getcompany();
    this.baseURL = axios.defaults.baseURL;
    this.checkedActive();
    this.ScheckActive();
    if (this.$route.query.page != 1) {
      this.number_page = this.$route.query.page;
      axios.get("/api/v1/pateint/index?page=" + this.number_page).then((res) => {
        this.register = res.data.data;
        this.printData = res.data.print;
      });
    } else {
      this.getRegister();
    }

    this.getbell();
  },
  methods: {
    formatdatetime(dateform) {
      try {
        return moment(dateform).format("DD-MM-YYYY");
      } catch (error) {
        return dateform;
      }
    },
    getbell() {
      axios.get("/api/v1/prescription/getAllPrescription").then((response) => {
        this.view = response.data;
        this.labo = this.view.length;
      });
    },
    more(preid) {
      this.$router.push({ name: "prescription", query: { preId: preid } });
      this.pre = preid;
    },
    createvisit() {
      this.form.created_by = this.loggedUser.id;
      this.form.type = "labo";
      axios.post("/api/v1/prescription/createvisit", this.form).then((res) => {
        this.$router.push({ name: "Laboratory", query: { preId: res.data.preid } });
      });
    },

    view_description(detail, title) {
      this.view_detail = detail;
      this.title = title;
    },
    toPrescription() {
      this.form.created_by = this.loggedUser.id;
      this.form.type = "prescription";
      axios.post("/api/v1/prescription/createvisit", this.form).then((res) => {
        this.$router.push({ name: "prescription", query: { preId: res.data.preid } });
      });
    },
    convertString(address, village, commune, district, city) {
      if (address == null) address = "";
      if (village == null) village = "";
      if (commune == null) commune = "";
      if (district == null) district = "";
      if (city == null) city = "";
      let text = `${address} ${village} ${commune} ${district} ${city}`;
      if (text.length > 20) {
        text = text.slice(0, 20) + "...";
        return text;
      } else {
        return text;
      }
    },
    viewAddress(address, village, commune, district, city, title) {
      this.title = title;
      if (address == null) address = "";
      if (village == null) village = "";
      if (commune == null) commune = "";
      if (district == null) district = "";
      if (city == null) city = "";
      this.view_detail = `${address} ${village} ${commune} ${district} ${city}`;
    },
    btnBack() {
      this.form = {};
      this.btnback = false;
      this.btncheckEdit = "Save";
      this.btncheckdelete = "Search";
    },
    cancel() {
      this.getRegister();
      this.btncheckEdit = "Save";
      this.btncheckdelete = "Search";
      this.form = {};
    },
    Addregister() {
      if (this.form.firstname != "" && this.form.lstname != "") {
        axios.post("/api/v1/pateint/create", this.form).then((res) => {
          this.getRegister();
          this.checkedActive();
          this.ScheckActive();
          this.is_fname_required = false;
          this.is_lname_required = false;
          this.form = {};
        });
      } else {
        this.is_fname_required = true;
        this.is_lname_required = true;
      }
    },
    getRegister(page = 1) {
      this.$router.push({ name: "patientRegister", query: { page: page } });
      axios.get("/api/v1/pateint/index?page=" + page).then((res) => {
        this.register = res.data.data;
        this.printData = res.data.print;
      });
    },
    getage(age) {
      if (age >= 0) {
        var base = new Date();
        var mydate = base.setFullYear(base.getFullYear() - parseInt(age));
        this.form.birstdate = new Date(mydate).toISOString().slice(0, 10);
      }
    },
    deleteRegister(id) {
      axios
        .get("/api/v1/pateint/delete/" + this.form.id)
        // fast delete
        .then(() => {
          this.getRegister();
          this.form = {};
          this.btncheckEdit = "Save";
          this.btncheckdelete = "Search";
          this.btnback = false;
        });
    },
    updateRegister(id) {
      axios.post("/api/v1/pateint/update/" + id).then(() => {
        this.getRegister();
      });
    },
    btn_checkEdit(id) {
      this.form = id;
      this.btncheckEdit = "Update";
      this.btncheckdelete = "Delete";
      this.btnback = true;
    },
    updatebt() {
      axios.post("/api/v1/pateint/update/" + this.form.id, this.form).then((reg) => {
        this.form = {};
      });
      this.btncheckEdit = "Save";
      this.btncheckdelete = "Search";
      this.btnback = false;
    },
    selectdelect(id) {
      this.selectid = id;
    },
    btnsave() {
      if (this.btncheckEdit == "Update") {
        this.updatebt();
      } else {
        this.Addregister();
      }
    },
    getsex(txt) {
      if (txt == "male") {
        this.form.sex = "Male";
      } else if (txt == "female") {
        this.form.sex = "Female";
      } else if (txt == "other") {
        this.form.sex = "Other";
      } else if (txt == "single") {
        this.form.status = "Single";
      } else {
        this.form.status = "Married";
      }
    },
    checkedActive() {
      var gender = document.querySelector(".gender");
      var items = gender.querySelectorAll(".radio > span");
      for (let i = 0; i < items.length; i++) {
        items[i].addEventListener("click", function () {
          let currentBtn = document.querySelectorAll(".checked");
          currentBtn[0].className = currentBtn[0].className.replace("checked", "");
          this.className += " checked";
        });
      }
    },
    // active when update
    ScheckActive() {
      var situation = document.querySelector(".situation");
      var situations = situation.querySelectorAll(".radio-1 > span");
      for (let i = 0; i < situations.length; i++) {
        situations[i].addEventListener("click", function () {
          let currentBtn = situation.querySelectorAll(".checked");
          currentBtn[0].className = currentBtn[0].className.replace("checked", "");
          this.className += " checked";
        });
      }
    },

    getcompany() {
      axios.get("/api/v1/getSetup/").then((response) => {
        this.company = response.data;
        this.dateformart = moment(new Date()).format("DD-MM-YYYY");
      });
    },

    async searchPatient() {
      await axios.post("api/v1/patient/searchPatient", this.form).then((res) => {
        this.register = res.data;
      });
    },
  },
};
</script>
